#!/usr/bin/bash
set -e

dataset="meteogram_dataset.zarr"
rm -rf ${dataset}
python <<EOF
import hiopy.configure as hc
import zarr

z = zarr.open("${dataset}")
hc.add_coordinates(z, [
       (10.5,12.1),
       (13.4,11.7),
       (12.3,8.4),
       (9.6,8.9),
       (14.5,12),
       (51.3,52.4),
       (47.6,48.8),
       (53.5,49.9),
       (50.7,48.2),
       (54.1,45.0)
])
hc.add_time(z, "2000-01-01", "2000-01-01T00:01:00", 3)

hc.add_variable(z, "x", "simple_source", "simple_grid")
hc.add_variable(z, "y", "simple_source", "simple_grid")
hc.add_variable(z, "z", "simple_source", "simple_grid")
hc.add_variable(z, "clock", "simple_source", "simple_grid")

zarr.consolidate_metadata(z.store)

print(z.info)
print(z.tree())
EOF

/usr/bin/mpiexec -n 1 python -m hiopy.worker ${dataset} : -n 1 /builds/nils/coyote/build/tests/simple_source -e 2000-01-01T00:01:00
